## mksh 57

=== debian/changelog ===
mksh (57-5) unstable; urgency=medium

  * Don’t omit musl from informative list of dependencies output
  * Update mksh from MirBSD CVS again, for latest fixes and changes
    - [tg] Begin work on support for neatcc (needs neatcc to evolve first)
    - [tg] Fix possibly not enough aligned access in struct job
    - [tg] Support going full setugid by running “set -p” once interactive
    - [tg] Document another (arcane, almost nowhere needed) definition
    - [tg] Improve code legibility and testsuite reliability and maintenance
    - [tg] Speed up trivial += cases (LP#1855167)
    - [tg] Some further code and memory optimisation and test coverage
    - [tg] Document that += is always string append (LP#1857702)
    - [tg] Fix “set -e appears active within eval but isn’t” reported by
      Martijn Dekker and another bug related to using set ±e inside eval
    - [tg] Handle parameter assignment in front of invocations of POSIX-style
      functions like ksh-style ones and external utilities; cf. #935115
    - [tg] Fix bad memory access for invalid syntax (LP#1857828, LP#1857826)
    - [Brian Callahan] Update MALLOC_OPTIONS-using testcase for newer OpenBSD
    - [tg] Support lacc as compiler (just detecting, no change), thanks Brian
    - [tg] Share __IDSTRING with jupp
    - [tg] Update string comparison/pattern documentation
  * 2020 in copyright
  * Import latest bugfixed printf.c from MirBSD CVS
  * Generate and ship FAQ as HTML for easy local reading
  * Bump Policy (no changes relevant for us)
  * Use new execute_{before,after}_dh_foo-arch targets for more reliability
  * Update maintainer script templates

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 23 Jan 2020 00:41:50 +0100

mksh (57-4) unstable; urgency=low

  * Update to CVS HEAD (fix lksh build without controlling tty)

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 24 Oct 2019 02:14:02 +0200

mksh (57-3) unstable; urgency=low

  * The “fixes BD-Uninstallable on kfreebsd-*” upload
  * Switch wheezy/precise+ to C.UTF-8 for testsuite and nuke locales B-D
  * Implement improved build log output about libc and testsuite results
  * Fail builds that positively fail the regression tests
  * Update to CVS HEAD (improvement in dot.mkshrc)
  * Bump Policy (nothing for us)

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 23 Oct 2019 21:56:33 +0200

mksh (57-2) unstable; urgency=medium

  * Drop “ancient package version preinst”, except for oldold…stable
  * /etc/skel/.mkshrc: improve (commented-out) locale (re)setting example
  * Update to a CVS snapshot as of 2019-09-16
    - [lintian] hyphen-used-as-minus-sign (on jessie, not later, ‽‽‽)
    - [tg] Fix system info gcc dump{machine,version} shell escaping level
    - [tg] Document KSH_VERSIONNAME_VENDOR_EXT in Build.sh
    - [tg] Be more explicit about the LTO bug exposed by check.t
    - [Todd C. Miller] Add -x (file locks) and AIX-specific -r ulimits
    - [tg] Handle Midipix as test environment and fix some warnings
    - [tg] Fix some Build.sh issues as Mirtoconf is now used by MirCPIO
      and MagicPoint
    - [komh] Improve CRLF to LF conversion
    - [komh] Ensure ECHO mode is enabled at startup so read has local echo
    - [komh] Let check.pl retain the PERLIO env variable
    - [komh] Unbreak nounset-1 test on systems with drive letters
    - [komh, tg] Make ulimit-3 test work without |& (that is, incomplete
      ports, i.e. those with -DMKSH_NOPROSPECTOFWORK)
    - [tg] Disable xxx-stat-1 test for now, fails when run as root
    - [tg] Drop Build.sh flags -c combine, -c lto
    - [Martijn Dekker] Exit 126 on execve(2) failure, not 1 (e.g. E2BIG)
    - [tg] Behave set and export/readonly-on-read-only-variables when run
      with command and command dot, bugreports by Martijn Dekker
    - [tg] dot.mkshrc: simplify; enhance (un)setting locale example
    - [tg, selk] Catch build errors earlier
    - [tg] Add -fno-lto (if GCC is detected) to CFLAGS and LDFLAGS
    - [tg] Limit HISTSIZE to 65535, as long pre-announced
  * Use filter (not findstring) gmake function to check list variables
  * Very grudgingly, rewrite d/rules using dh7-style
  * Use sed --posix always to avoid GNU extensions breaking valid regexps
  * Update list of architectures for dependencies
    - assume dietlibc is recent enough on hppa
    - add musl on riscv64
    - drop belocs-locales-bin and mentions of avr32
  * Bump Policy which forced dh7 down our throats

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 26 Sep 2019 00:52:17 +0200

mksh (57-1) unstable; urgency=medium

  * The “basta!” upload
  * Update to latest upstream release:
    - [tg] Fix MKSH_EARLY_LOCALE_TRACKING warning
    - [tg] Document that, when your Unix is broken, GIGO applies (LP#1817959)
    - [tg] Improve error message for inaccessible executables (LP#1817789)
  * Eliminate all local patches thusly

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 01 Mar 2019 17:32:43 +0100

mksh (56c-3) unstable; urgency=medium

  * Update to a CVS snapshot as of 2019-01-05
    - [tg] Trick a GCC warning, to make up for it ignoring lint(1) hints
    - [tg] Add O_MAYEXEC support for CLIP OS
    - [tg] Make dup-to-self with ksh-style fd≥3 closing work; catern via IRC
    - [tg] Add compat glue for newer GNU groff mdoc to the manpages
    - [tg] Trigger EXIT trap after single-command subshells (Closes: #910276)
    - [tg] Document set -eo pipefail caveat (LP#1804504)
  * Bump debhelper to 12 (requested by lintian)
  * Policy 4.3.0

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 05 Jan 2019 14:09:44 +0100

mksh (56c-2) unstable; urgency=low

  * The “stets vermißt, feiner Kerl” release
  * Update to a CVS snapshot as of 2018-10-20
    - [gecko2] Update operating environment reporting for the Macintosh
    - [Martijn Dekker] make ${foo#'bar'} in here document behave like ksh93
    - [Martijn Dekker] quote empty strings for re-entry into shell
    - [tg, G.raud Meyer] Improve documentation, especially for tty states
    - [tg] Protect against entering line editing with bad saved tty state

