## mksh 58

=== debian/changelog ===
mksh (58-1) unstable; urgency=medium

  * New upstream release
    - [tg] Improve code performance, quality, robustness and correctness
    - [multiplexd] Add vi mode PgDn, similar to PgUp doing history search
    - [tg] Build.sh fixup unreliable test -n / -z
    - [multiplexd] Correct documentation of vi mode @c
    - [tg] Update to UCD 13.0.0
    - [tg] Use nanoseconds in test -nt / -ot (LP#1855325)
  * Work around debhelper issue #908845 (Niels Thykier)
  * Update lintian overrides

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 27 Mar 2020 12:59:25 +0100

mksh (57-7) unstable; urgency=low

  * Update from MirBSD CVS HEAD
    - [tg] Correct backslash expansion documentation; caveat re. 16-bit UCS
    - [tg] Fix extra empty field on IFS-NWS trim expansion (Martijn Dekker)
    - [tg] Improve code performance, quality, robustness
    - [tg] Allow ${x:n} where n is an identifier (veedeeh)
    - [tg] Permit ‘+’ in alias names, but not leading (Aleksey Cheusov)
    - [tg] Fix here strings for $@ (LP#1857195), reported by jvdh
  * /etc/skel/.mkshrc: use canonical names of locales mentioned
  * Introduce DEP 8 autopkgtests

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 14 Mar 2020 02:29:40 +0100

mksh (57-6) unstable; urgency=low

  * Reorder lines in /etc/skel/mkshrc for even easier locale choice
  * Use “none” buildsystem to avoid unwanted make call (cf. #949635)
  * Register FAQ with doc-base
  * Complicate Built-Using detection to be reproducible wrt. usrmerge
  * Ignore nocheck option on m68k and sh4 for now
  * Ship variants with failed tests non-executable (could also not ship
    them, but this is better for debugging those; s390x comes to mind)
  * Update from MirBSD CVS HEAD
    - [tg, veedeeh] Document vi command line editing mode state better
    - [tg] Add FAQ2HTML.sh to convert mksh.faq to local valid XHTML+CSS
  * Use upstream faq2html instead of local prototype

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 03 Feb 2020 23:56:09 +0100
