=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # testsuite is run to determine bad builds. Really, do run the testsuite!
 # (Even then, versioned B-D may be used to remove known bogus versions.)
 Build-Depends: debhelper-compat (= 12),
-  debhelper (>= 12.8~),
+  debhelper (>= 12.9~),
 # # libc variants to link against
   dietlibc-dev [alpha amd64 arm arm64 armeb armel armhf hppa i386 ia64 mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x sparc sparc64 x32],
   libklibc-dev [linux-any],
