=== debian/rules ===
--- 
+++ 
@@ -25,14 +25,11 @@
 endif
 
 %:
-	dh $@
+	dh $@ --buildsystem=none
 
 execute_before_dh_auto_clean:
 	-rm -rf builddir
-	-rm -f debian/*~ debian/FAQ.htm
-
-# nothing for these targets, ensure they aren’t run
-override_dh_auto_configure override_dh_auto_test override_dh_auto_install:
+	-rm -f debian/*~
 
 override_dh_auto_build:
 	exec sh debian/meat
@@ -40,16 +37,39 @@
 execute_before_dh_install:
 	cat builddir/substvars >>debian/mksh.substvars
 
+extract_categories:=sed --posix -n '/^set -A check_categories --/{s//cat=fastbox/;s/  / /g;y/ /,/;p;q;}'
+
 execute_after_dh_install:
+	mkdir -p debian/mksh/usr/share/doc/mksh
+	{ \
+		${extract_categories} builddir/full/test.sh; \
+		echo shell=/bin/mksh; \
+	} >debian/mksh/usr/share/doc/mksh/testdata.full
+	{ \
+		${extract_categories} builddir/legacy/test.sh; \
+		echo shell=/bin/lksh; \
+	} >debian/mksh/usr/share/doc/mksh/testdata.legacy
 	if test -e builddir/static-klibc/mksh; then \
+		{ \
+			${extract_categories} builddir/static-klibc/test.sh; \
+			echo shell=/usr/lib/klibc/bin/mksh; \
+		} >debian/mksh/usr/share/doc/mksh/testdata.static-klibc; \
 		mkdir -p debian/mksh/usr/lib/klibc/bin && \
 		cp builddir/static-klibc/mksh debian/mksh/usr/lib/klibc/bin/; \
 	fi
 	if test -e builddir/static-dietlibc/mksh; then \
+		{ \
+			${extract_categories} builddir/static-dietlibc/test.sh; \
+			echo shell=/usr/lib/diet/bin/mksh; \
+		} >debian/mksh/usr/share/doc/mksh/testdata.static-dietlibc; \
 		mkdir -p debian/mksh/usr/lib/diet/bin && \
 		cp builddir/static-dietlibc/mksh debian/mksh/usr/lib/diet/bin/; \
 	fi
 	if test -e builddir/static-musl/mksh; then \
+		{ \
+			${extract_categories} builddir/static-musl/test.sh; \
+			echo shell=/usr/lib/${MUSL}/bin/mksh; \
+		} >debian/mksh/usr/share/doc/mksh/testdata.static-musl; \
 		mkdir -p debian/mksh/usr/lib/${MUSL}/bin && \
 		cp builddir/static-musl/mksh debian/mksh/usr/lib/${MUSL}/bin/; \
 	fi
@@ -57,9 +77,16 @@
 	(klibc) ln -sf /usr/lib/klibc/bin/mksh debian/mksh/bin/mksh-static ;; \
 	(diet*) ln -sf /usr/lib/diet/bin/mksh debian/mksh/bin/mksh-static ;; \
 	(musl) ln -sf /usr/lib/${MUSL}/bin/mksh debian/mksh/bin/mksh-static ;; \
-	(glibc) cp builddir/static-glibc/mksh debian/mksh/bin/mksh-static ;; \
+	(glibc) { \
+			${extract_categories} builddir/static-glibc/test.sh; \
+			echo shell=/bin/mksh-static; \
+		} >debian/mksh/usr/share/doc/mksh/testdata.static-glibc; \
+		cp builddir/static-glibc/mksh debian/mksh/bin/mksh-static ;; \
 	(*) echo cannot happen; exit 1 ;; \
 	esac
+	test -x debian/mksh/$$(readlink debian/mksh/bin/mksh-static)
+	test -x debian/mksh/bin/mksh
+	test -x debian/mksh/bin/lksh
 	cp -a dot.mkshrc debian/mksh/etc/mkshrc
 
 execute_after_dh_installdocs-arch:
