=== debian/tests/control ===
Tests: mtests
Depends: @, perl-modules
Restrictions: superficial

Tests: regress-dynamic
Depends: @, ed, perl-modules

Tests: regress-legacy
Depends: @, ed, perl-modules
Restrictions: superficial

Tests: regress-static
Depends: @, ed, perl-modules
Restrictions: superficial

Tests: testsuite-triggers-hint
Depends: @, libc0.1 | libc0.3 | libc6 | libc6.1
Restrictions: hint-testsuite-triggers
