## mksh 59b

=== debian/changelog ===
mksh (59b-2) unstable; urgency=medium

  * d/mksh.postinst: u-a doesn’t like slaves pointing to same-links
  * adapt as-installed tests to skip known-bad binaries (Closes: #970268)
  * redo lintian overrides because someone seems to think it cute
    to let maintainers do unnecessary changes

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 15 Sep 2020 00:28:36 +0200

mksh (59b-1) unstable; urgency=medium

  * Upload to unstable
  * Move to debhelper 13
  * New upstream bugfix release
    - [tg] Handle other tmux $TERM types, pointed out by multi via IRC
    - [tg] Fix typo in FAQ
    - [tg] y='a\*b'; [[ $x = $y ]] regression (Martijn Dekker) fix
    - [l0kod] Defuse CLIP OS O_MAYEXEC support (cf. LWN)
    - [tg] Make set +o output a command to restore the currently set and
      (new!) cleared options, keep a reset state per session (experimental)
    - [tg] Correct documentation and code regarding to argv[0] parsing:
      first ‘-’ for login shells, then ‘r’ case-insensitively for restricted
      shell, then “sh”*, again case-insensitively, for BINSH_* modes;
      add tests
    - [tg] On OS/2, allow case-insensitive name for direct builtin call
    - [tg] Always skip startup files if direct builtin call
    - [tg] Avoid some sometimes-redundant startup codepaths
  * Drop hint-testsuite-triggers autopkgtest, it confused Debian QA tools
  * Remove no longer relevant section from README.Debian
  * Add ksh93-compatible alternative rksh if mksh provides ksh

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 17 May 2020 03:05:10 +0200

mksh (59-1) experimental; urgency=low

  * Upload to experimental
  * New upstream release
    - [tg] Repair out-of-tree builds (noticed by rsc)
    - [tg] Work around a glibc on Hurd issue in testsuite
    - [komh] OS/2 filesystem mtime granularity is two seconds (as in FAT)
    - [tg] Replace while with goto: Coverity was confused
    - [tg] Fix invocation of some builtins when external utility absent
    - [komh] Improve automatic executable suffix for test builtin
    - [tg] Style code, refactor, clean up, optimise
    - [tg] Use cached egid in test builtin
    - [tg] Make bind builtin output reentry-safe; safety fixes
    - [tg] If basename(argv[0]) after leading dash removal begins with
      an ‘r’ enable restricted shell flag; reported by pmjdebruijn via IRC
    - [tg] Fix code example in manpage for how tab completion escapes
    - [tg] Match full extglob pattern RHS of [[ string comparison like ksh93
    - [tg] Implement which with -a in dot.mkshrc
    - [tg] Remove global builtin (use typeset -g)
    - [tg] alias, command, whence: Print alias names quoted
    - [tg] Implement a new quote-region (Esc+Q) editing command
    - [tg] Document all built-in aliases (requested by msiism via IRC)
      and those aliases and functions shipped in dot.mkshrc; completely
      overhaul builtin and reserved word documentation, for consistency
    - [tg] The manual page now features properly spaced em dashes ☻
    - [tg] Document that test x = y doesn’t extglob, only [[ x = y ]] does
  * Install rmksh and rlksh symlinks
  * Update uhr from MirBSD CVS (performance; adjust to new release)
  * Add relevant entries to NEWS.Debian

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 15 Apr 2020 02:39:01 +0200
