=== debian/rules ===
--- 
+++ 
@@ -44,15 +44,21 @@
 	{ \
 		${extract_categories} builddir/full/test.sh; \
 		echo shell=/bin/mksh; \
+		echo skip=0; \
 	} >debian/mksh/usr/share/doc/mksh/testdata.full
 	{ \
 		${extract_categories} builddir/legacy/test.sh; \
 		echo shell=/bin/lksh; \
+		echo skip=0; \
 	} >debian/mksh/usr/share/doc/mksh/testdata.legacy
 	if test -e builddir/static-klibc/mksh; then \
 		{ \
 			${extract_categories} builddir/static-klibc/test.sh; \
 			echo shell=/usr/lib/klibc/bin/mksh; \
+			echo skip=$$( \
+				test -x builddir/static-klibc/mksh; \
+				echo $$? \
+			    ); \
 		} >debian/mksh/usr/share/doc/mksh/testdata.static-klibc; \
 		mkdir -p debian/mksh/usr/lib/klibc/bin && \
 		cp builddir/static-klibc/mksh debian/mksh/usr/lib/klibc/bin/; \
@@ -61,6 +67,10 @@
 		{ \
 			${extract_categories} builddir/static-dietlibc/test.sh; \
 			echo shell=/usr/lib/diet/bin/mksh; \
+			echo skip=$$( \
+				test -x builddir/static-dietlibc/mksh; \
+				echo $$? \
+			    ); \
 		} >debian/mksh/usr/share/doc/mksh/testdata.static-dietlibc; \
 		mkdir -p debian/mksh/usr/lib/diet/bin && \
 		cp builddir/static-dietlibc/mksh debian/mksh/usr/lib/diet/bin/; \
@@ -69,6 +79,10 @@
 		{ \
 			${extract_categories} builddir/static-musl/test.sh; \
 			echo shell=/usr/lib/${MUSL}/bin/mksh; \
+			echo skip=$$( \
+				test -x builddir/static-musl/mksh; \
+				echo $$? \
+			    ); \
 		} >debian/mksh/usr/share/doc/mksh/testdata.static-musl; \
 		mkdir -p debian/mksh/usr/lib/${MUSL}/bin && \
 		cp builddir/static-musl/mksh debian/mksh/usr/lib/${MUSL}/bin/; \
@@ -80,6 +94,7 @@
 	(glibc) { \
 			${extract_categories} builddir/static-glibc/test.sh; \
 			echo shell=/bin/mksh-static; \
+			echo skip=0; \
 		} >debian/mksh/usr/share/doc/mksh/testdata.static-glibc; \
 		cp builddir/static-glibc/mksh debian/mksh/bin/mksh-static ;; \
 	(*) echo cannot happen; exit 1 ;; \
