## mksh 59c

=== debian/changelog ===
mksh (59c-43) unstable; urgency=low

  * Explicitly B-D on bsdutils despite Priority: required
  * Add /usr/lib/$DEB_HOST_MULTIARCH/bin/mksh-g binary which is a
    debug build of mksh (with /bin/sh kludges and printf builtin),
    also built using ASan/UBSan (where available), so end users
    can debug some things more easily
  * Force musl to embed GNU build-id (for dbgsym matching)

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 27 Dec 2025 00:42:06 +0000

mksh (59c-42) unstable; urgency=low

  * Update from MirBSD CVS HEAD
    - [tg] Spell out polymorphism in OS/2 glue for GCC 15 / ISO C23
    - [komh] Kill an execve(2)d child when a fork()ed parent ends on OS/2,
      where executing does not overlay the parent process
    - [komh] Fix compilation warnings on OS/2
    - [komh, tg] Disable checking for select(2) on OS/2 by default, as it
      only handles sockets, and mksh only uses it for timeouts anyway
    - [tg] Debug builds, when argv[0]="--unparse", show parse trees
    - [tg] In POSIX 2024, interactive shells may not exit if exec fails
      (in native mode, they must, of course; fix edge case for this)
    - [tg] Distinguish better between errorlevels 126 and 127
    - [tg] Add new POSIX 2024 option -p to trap builtin and reorganise
      its manpage section; mention how to capture its output in mksh
    - [tg] read builtin checks variables it writes to are identifiers
    - [tg] time no longer aborts the entire shell on error
    - [tg] work around another ancient sh(1) bug in Build.sh
    - [tg] accept ^[OM for KP_Enter
    - [tg] make error message less confusing (cf. Debian #1116560)
    - [tg] auto-detect ssize_t replacement if necessary
    - [tg] reduce amount of false positives for attribute detection
    - [tg] improve/fix rendering of I/O redirections in error outputs
    - [tg] make ^D in here documents not lose entire shell, but behav-ish
      more like ^C (sans the whole interrupt/trap handling)
    - [tg] move the mark when inserting text, and not more than we must
    - [tg, Amin] add complete-pathword example to FAQ
    - [tg] add experimental, (for now) undocumented support for ksh-style
      functions to take parameters, with default arguments; this feature is
      subject to change without prior notice and only base for discussion
  * Update lintian overrides
  * Bump Policy (keep Priority field to facilitate backporting, though)

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 26 Dec 2025 00:43:45 +0000

mksh (59c-41) unstable; urgency=medium

  * Update from MirBSD CVS
    - [tg] Fix sometimes special builtin errors are not fatal enough
    - [tg] Errors reading next command to run are now fatal (LP#2002044)
    - [tg] … as are nōn-interactive syntax errors, following POSIX
  * Replace reference to removed mailing lists + update upstream infos
  * Sync lintian overrides

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 27 Apr 2025 00:43:37 +0000

mksh (59c-40) unstable; urgency=high

  * Update from MirBSD CVS
    - opt out of “AI” in FAQ2HTML.sh
    - make one test cleanup more reliable
    - mbsdcc.h: MBSDCC_H_NO_FAM now supported
  * Fix inconsistent casing in the previous two d/changelog entries
  * Some working around lintian messages that differ between arches
  * Handle /bin/mksh-static glibc (on Hurd mostly) the same as the
    other (musl/klibc/dietlibc) ones
  * Handle nostaticpie in DEB_BUILD_OPTIONS, for debugging lintian
  * Address jammy/noble riscv64 buildds
  * Switch from pcregrep to recent-enough grep (Closes: #1101106)
    (I’ve to express my frustration with people removing a package
    required by other packages a mere month before the freeze.) 😾
  * Bump Standards-Version

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 23 Mar 2025 22:41:02 +0100

mksh (59c-39) unstable; urgency=medium

  [ Helmut Grohne ]
  * Move files from /bin/ to /usr/bin/ (Closes: #1073608)

  [ Thorsten Glaser ]
  * Grudgingly merge the above
  * The “2/2… who needs enemies” upload 😾
  * Drop the experimental changes
  * Upload to unstable
  * Merge from CVS HEAD:
    - [komh] fix refactoro
    - [komh] prefer .exe to .ksh in search order of the executable on OS/2
    - [tg] add just another nanosecond variant: dietlibc has sb.st_mtime_nsec
    - [tg] improve ENOEXEC scriptexec handling (whitelist cosmopolitan libc’s
      “APE” executables; distinguish between bad magic and shebang too long;
      avail on EBCDIC; fix errorlevel for wrong-arch ELF; recognise Zstd)
    - [Riccardo Felici] improve syntax check for while/until loops
  * Bump S-V, no changes
  * Remove checks for nōn-UsrMove layout, now that this is forced upon users

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 19 Aug 2024 01:55:51 +0200

mksh (59c-38) experimental; urgency=low

  * Experiments to deal with the poettering’d filesystem layout
  * Upload to experimental, B-D dietlibc/experimental for testing
    and GCC 14

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 05 Jul 2024 01:02:41 +0200

mksh (59c-37) unstable; urgency=medium

  * Limit musl static-PIE to architectures it is known to work
    (see #1068350 and even #1068302)

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 05 Apr 2024 02:33:34 +0200

mksh (59c-36) unstable; urgency=low

  * Fix two typos in musl static-pie support check, improve diagnostics

 -- Thorsten Glaser <tg@mirbsd.de>  Wed, 03 Apr 2024 12:25:23 +0200

mksh (59c-35) unstable; urgency=low

  * Update from CVS HEAD:
    - improvements to mbsd{cc,int}.h, mostly portability
    - put a message behind #ifdef DEBUG
    - improved fallback for missing rlim_t
    - FAQ update
    - avoid uint8_t in printf.c favouring “unsigned char” explicitly
  * Use munged specs file for #1050429 workaround, drop gcc-12 B-D
  * Install /usr/bin-based (nōn-canonical) pathnames into /etc/shells
    on systems with a broken filesystem layout (Closes: #1063905)
  * loong64 musl became available as well

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 02 Apr 2024 16:32:00 +0200

mksh (59c-34) unstable; urgency=low


