=== debian/control ===
--- 
+++ 
@@ -9,15 +9,19 @@
 # we are in paranoid (just before the freeze/release) mode, and whether the
 # testsuite is run to determine bad builds. Really, do run the testsuite!
 # (Even then, versioned B-D may be used to remove known bogus versions.)
-Build-Depends: debhelper-compat (= 12),
-  debhelper (>= 12.9~),
+#
+# Crossbuilding note: you can amend <!cross> dietlibc-dev, libklibc-dev and
+# musl-tools, except the package contents will change (same with nocheck),
+# so I don’t do it as the spec forbids that.
+#
+Build-Depends: debhelper-compat (= 13), bsdutils, file,
 # # libc variants to link against
   dietlibc-dev [alpha amd64 arm arm64 armeb armel armhf hppa i386 ia64 mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x sparc sparc64 x32],
-  libklibc-dev [linux-any],
-  musl-tools [amd64 arm64 armel armhf i386 m68k mips mips64el mipsel ppc64el riscv64 s390x sh4],
+  libklibc-dev [alpha amd64 arm64 armel armhf hppa i386 ia64 loong64 m68k mips mips64el mipsel powerpc powerpcspe ppc64 ppc64el riscv64 s390 s390x sh4 sparc sparc64 x32],
+  musl-tools [amd64 arm64 armel armhf i386 loong64 m68k mips mips64el mipsel ppc64el riscv64 s390x sh4],
 # # to run the testsuite
-  bsdmainutils, ed
-Standards-Version: 4.5.0
+  bsdextrautils, ed
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 VCS-git: https://evolvis.org/anonscm/git/alioth/mksh.git -b master
 VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/mksh.git;a=shortlog;h=refs/heads/master
@@ -25,9 +29,11 @@
 Package: mksh
 Architecture: any
 Multi-Arch: foreign
-Built-Using: ${mksh:B-U}
+Built-Using: ${mksh:L-B-U}
+Static-Built-Using: ${mksh:S-B-U}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: ed
+Suggests: ${shlibs:Suggests}
 Description: MirBSD Korn Shell
  mksh is the successor of the Public Domain Korn shell (pdksh),
  a Bourne/POSIX compatible shell which is largely similar to the
@@ -65,6 +71,11 @@
  permitting a shell function to be named stop overriding the default
  alias, more loose interpretation of shell extglobs, etc.
  .
+ The /usr/lib/$DEB_HOST_MULTIARCH/bin/mksh-g binary is a debug build
+ of mksh (with printf builtin and /bin/sh kludges) that is also built
+ with ASan/UBSan if available. The package Suggests must be fulfilled
+ for this binary. Use it to test only and not in production!
+ .
  A sample ~/.mkshrc is included in /usr/share/doc/mksh/examples and
  provided as /etc/mkshrc conffile, which is sourced by another file
  /etc/skel/.mkshrc users are recommended to copy into their home.
