=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 
 LC_ALL:=C
 export LC_ALL
+
+shellescape='$(subst ','\'',$(1))'
+shellexport=$(1)=$(call shellescape,${$(1)})
 
 DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
 DEB_HOST_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
@@ -23,13 +26,19 @@
 ifeq ($(DEB_HOST_ARCH_CPU),i386)
 MUSL=i386-linux-musl
 endif
+ifeq ($(DEB_HOST_ARCH_CPU),sh4)
+MUSL=sh-linux-musl
+endif
+
+FALLBACK=$(call shellescape,$(shell dpkg-architecture -qDEB_HOST_MULTIARCH 2>/dev/null || dpkg-architecture -qDEB_HOST_GNU_TYPE))
 
 %:
 	dh $@ --buildsystem=none
 
 execute_before_dh_auto_clean:
 	-rm -rf builddir
-	-rm -f debian/*~
+	-rm -f debian/*~ debian/mksh.copyright
+	-rm -f t.* xmusl.spec
 
 override_dh_auto_build:
 	exec sh debian/meat
@@ -37,7 +46,7 @@
 execute_before_dh_install:
 	cat builddir/substvars >>debian/mksh.substvars
 
-extract_categories:=sed --posix -n '/^set -A check_categories --/{s//cat=fastbox/;s/  / /g;y/ /,/;p;q;}'
+extract_categories:=sed --posix -n '/^set -A check_categories -- */{s//cat=/;s/  */ /g;y/ /,/;p;q;}'
 
 execute_after_dh_install:
 	mkdir -p debian/mksh/usr/share/doc/mksh
@@ -93,23 +102,45 @@
 	(musl) ln -sf /usr/lib/${MUSL}/bin/mksh debian/mksh/bin/mksh-static ;; \
 	(glibc) { \
 			${extract_categories} builddir/static-glibc/test.sh; \
-			echo shell=/bin/mksh-static; \
+			echo shell=/usr/lib/${FALLBACK}/bin/mksh; \
 			echo skip=0; \
 		} >debian/mksh/usr/share/doc/mksh/testdata.static-glibc; \
-		cp builddir/static-glibc/mksh debian/mksh/bin/mksh-static ;; \
+		mkdir -p debian/mksh/usr/lib/${FALLBACK}/bin; \
+		cp builddir/static-glibc/mksh debian/mksh/usr/lib/${FALLBACK}/bin/; \
+		ln -sf /usr/lib/${FALLBACK}/bin/mksh debian/mksh/bin/mksh-static ;; \
 	(*) echo cannot happen; exit 1 ;; \
 	esac
+	{ \
+		${extract_categories} builddir/asan/test.sh; \
+		echo shell=/usr/lib/${FALLBACK}/bin/mksh-g; \
+		echo skip=$$( \
+			test -x builddir/asan/mksh; \
+			echo $$? \
+		    ); \
+		cat builddir/asan/asanopts.inc; \
+	} >debian/mksh/usr/share/doc/mksh/testdata.asan
+	mkdir -p debian/mksh/usr/lib/${FALLBACK}/bin
+	cp builddir/asan/mksh debian/mksh/usr/lib/${FALLBACK}/bin/mksh-g
 	test -x debian/mksh/$$(readlink debian/mksh/bin/mksh-static)
 	test -x debian/mksh/bin/mksh
 	test -x debian/mksh/bin/lksh
-	cp -a dot.mkshrc debian/mksh/etc/mkshrc
+	cp -a builddir/dot.mkshrc debian/mksh/etc/mkshrc
 
 execute_after_dh_installdocs-arch:
 	# we install this already, except with more information
 	rm -f debian/mksh/usr/share/doc/mksh/README.Debian
 	cp builddir/README.Debian.gz debian/mksh/usr/share/doc/mksh/
 
+override_dh_shlibdeps:
+	dh_shlibdeps -Xmksh-g -- \
+	    -dSuggests debian/mksh/usr/lib/*/bin/mksh-g \
+	    -dDepends
+
+execute_before_dh_installdeb:
+	if command -v dh_movetousr >/dev/null 2>&1; then dh_movetousr; fi
+
 execute_after_dh_builddeb-arch:
 	#-
+	cat builddir/loglibc.txt
 	gzip -d <builddir/README.Debian.gz | sed --posix \
 	    -e '1,/^Details/d' -e '/^Actual/d' -e '/^]/d'
