=== debian/tests/control ===
Tests: mtests
Depends: @, perl-modules
Restrictions: superficial

Tests: regress-dynamic
Depends: @, bsdutils, ed, perl-modules, grep (>= 3.8-4)

Tests: regress-asan
Depends: @, bsdutils, ed, perl-modules, grep (>= 3.8-4), gcc

Tests: regress-legacy
Depends: @, bsdutils, ed, perl-modules, grep (>= 3.8-4)
Restrictions: superficial

Tests: regress-static
Depends: @, bsdutils, ed, perl-modules, grep (>= 3.8-4)
Restrictions: superficial
